cdac.medinfo.sdk.hl7282.baselibs.segments

## Class FT1

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.FT1

- All Implemented Interfaces:
    ISegment

      public class FT1
      extends Segment

  FT1 - Financial Transaction Segment

  FT1 segment contains the detail data necessary to post charges, payments, adjustments, etc. to patient accounting records.

  Represents an HL7 FT1 message segment. This segment has the following fields:

  FT1-1: Set ID - FT1 (SI)Optional
  FT1-2: Transaction ID (ST)Optional
  FT1-3: Transaction Batch ID (ST)Optional
  FT1-4: Transaction Date (DR)Required
  FT1-5: Transaction Posting Date (DTM)Optional
  FT1-6: Transaction Type (IS)Required
  FT1-7: Transaction Code (CWE)Required
  FT1-8: Transaction Description (ST)Backward
  FT1-9: Transaction Description - Alt (ST)Backward
  FT1-10: Transaction Quantity (NM)Optional
  FT1-11: Transaction Amount - Extended (CP)Optional
  FT1-12: Transaction Amount - Unit (CP)Optional
  FT1-13: Department Code (CWE)Optional
  FT1-14: Health Plan ID (CWE)Optional
  FT1-15: Insurance Amount (CP)Optional
  FT1-16: Assigned Patient Location (PL)Optional
  FT1-17: Fee Schedule (IS)Optional
  FT1-18: Patient Type (IS)Optional
  FT1-19: Diagnosis Code - FT1 (CWE)Optional
  FT1-20: Performed By Code (XCN)Optional
  FT1-21: Ordered By Code (XCN)Optional
  FT1-22: Unit Cost (CP)Optional
  FT1-23: Filler Order Number (EI)Optional
  FT1-24: Entered By Code (XCN)Optional
  FT1-25: Procedure Code (CNE)Optional
  FT1-26: Procedure Code Modifier (CNE)Optional
  FT1-27: Advanced Beneficiary Notice Code (CWE)Optional
  FT1-28: Medically Necessary Duplicate Procedure Reason. (CWE)Optional
  FT1-29: NDC Code (CNE)Optional
  FT1-30: Payment Reference ID (CX)Optional
  FT1-31: Transaction Reference Key (SI)Optional
  FT1-32: Performing Facility (XON)Optional
  FT1-33: Ordering Facility (XON)Optional
  FT1-34: Item Number (CWE)Optional
  FT1-35: Model Number (ST)Optional
  FT1-36: Special Processing Code (CWE)Optional
  FT1-37: Clinic Code (CWE)Optional
  FT1-38: Referral Number (CX)Optional
  FT1-39: Authorization Number (CX)Optional
  FT1-40: Service Provider Taxonomy Code (CWE)Optional
  FT1-41: Revenue Code (CWE)Optional
  FT1-42: Prescription Number (ST)Optional
  FT1-43: NDC Qty and UOM (CQ)Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FT1()` Constructs the FT1 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDiagnosisCode_FT1(CWE objtempDiagnosisCode_FT1)` Set the Diagnosis Code FT1.
    `void` | `addDiagnosisCode_FT1(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Diagnosis Code FT1.
    `void` | `addEnteredByCode(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Entered By Code.
    `void` | `addEnteredByCode(XCN objtempEnteredByCode)`
    `void` | `addOrderedByCode(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Ordered By Code.
    `void` | `addOrderedByCode(XCN objtempOrderedByCode)` Set the Ordered By Code.
    `void` | `addPerformedByCode(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Performed By Code.
    `void` | `addPerformedByCode(XCN objtempPerformedByCode)` Set the Performed By Code.
    `void` | `addPerformingFacility(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Performing Facility.
    `void` | `addPerformingFacility(XON objtempPerformingFacility)` Sets the Performing Facility.
    `void` | `addProcedureCodeModifier(CNE objtempProcedureCodeModifier)` Set the Procedure Code Modifier.
    `void` | `addProcedureCodeModifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Procedure Code Modifier.
    `void` | `addTransactionReferenceKey(SI objtempTransactionReferenceKey)` Add the Transaction Reference Key.
    `void` | `addTransactionReferenceKey(java.lang.String strTransactionReferenceKey)` Add the Transaction Reference Key.
    `CWE` | `getAdvancedBeneficiaryNoticeCode()` Retrieves the Advanced Beneficiary Notice Code.
    `PL` | `getAssignedPatientLocation()` Retrieves the Assigned Patient Location.
    `CX` | `getAuthorizationNumber()` Retrieves the Authorization Number.
    `CWE` | `getClinicCode()` Retrieves the Clinic Code.
    `CWE` | `getDepartmentCode()` Retrieves the Department Code.
    `ISingleCollection<CWE>` | `getDiagnosisCode_FT1()` Retrieves the Diagnosis Code FT1.
    `ISingleCollection<XCN>` | `getEnteredByCode()` Retrieves the Entered By Code.
    `CWE` | `getFeeSchedule()` Retrieves the Fee Schedule.
    `EI` | `getFillerOrderNumber()` Retrieves the Filler Order Number.
    `CWE` | `getHealthPlanID()` Retrieves the Health Plan ID.
    `CP` | `getInsuranceAmount()` Retrieves the Insurance Amount.
    `CWE` | `getItemNumber()` Retrieves the Item Number.
    `CWE` | `getMedicallyNecessaryDuplicateProcedureReason()` Retrieves the Medically Necessary Duplicate Procedure Reason.
    `ST` | `getModelNumber()` Retrieves the Model Number.
    `CWE` | `getNDCCode()` Retrieves the NDC Code.
    `CQ` | `getNDCQtyAndUOM()` Retrieves the NDC Qty and UOM.
    `ISingleCollection<XCN>` | `getOrderedByCode()` Retrieves the Ordered By Code.
    `XON` | `getOrderingFacility()` Retrieves the Ordering Facility.
    `CWE` | `getPatientType()` Retrieves the Patient Type.
    `CX` | `getPaymentReferenceID()` Retrieves the Payment Reference ID.
    `ISingleCollection<XCN>` | `getPerformedByCode()` Retrieves the Performed By Code.
    `ISingleCollection<XON>` | `getPerformingFacility()` Retrieves the Performing Facility.
    `ST` | `getPrescriptionNumber()` Retrieves the Prescription Number.
    `CNE` | `getProcedureCode()` Retrieves the Procedure Code.
    `ISingleCollection<CNE>` | `getProcedureCodeModifier()` Retrieves the Procedure Code Modifier.
    `CX` | `getReferralNumber()` Retrieves the Referral Number.
    `CWE` | `getRevenueCode()` Retrieves the Revenue Code This field contains the Revenue Code for the charge.
    `CWE` | `getServiceProviderTaxonomyCode()` Retrieves the Service Provider Taxonomy Code This field contains the Taxonomy code for the Service Provider.
    `SI` | `getSetID_FT1()` Retrieves the Set ID FT1.
    `CWE` | `getSpecialProcessingCode()` Retrieves the Special Processing Code.
    `CP` | `getTransactionAmountExtended()` Retrieves the Transaction Amount Extended.
    `CP` | `getTransactionAmountUnit()` Retrieves the Transaction Amount Unit.
    `ST` | `getTransactionBatchID()` Retrieves the Transaction Batch ID.
    `CWE` | `getTransactionCode()` Retrieves the Transaction Code.
    `DR` | `getTransactionDate()` Retrieves the Transaction Date.
    `ST` | `getTransactionID()` Retrieves the Transaction ID.
    `DTM` | `getTransactionPostingDate()` Retrieves the Transaction Posting Date.
    `NM` | `getTransactionQuantity()` Retrieves the Transaction Quantity.
    `ISingleCollection<SI>` | `getTransactionReferenceKey()` Retrieves the Transaction Reference Key.
    `CWE` | `getTransactionType()` Retrieves the Transaction Type.
    `CP` | `getUnitCost()` Retrieves the Unit Cost.
    `void` | `setAdvancedBeneficiaryNoticeCode(CWE objadvancedBeneficiaryNoticeCode)` Set the Advanced Beneficiary Notice Code.
    `void` | `setAdvancedBeneficiaryNoticeCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Advanced Beneficiary Notice Code.
    `void` | `setAssignedPatientLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, java.lang.String strBuilding, java.lang.String strFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Assigned Patient Location.
    `void` | `setAssignedPatientLocation(PL objassignedPatientLocation)` Set the Assigned Patient Location.
    `void` | `setAuthorizationNumber(CX objdeptCostCenter)` Set the Authorization Number.
    `void` | `setAuthorizationNumber(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Authorization Number.
    `void` | `setClinicCode(CWE objClinicCode)` Set the Clinic Code.
    `void` | `setClinicCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Clinic Code.
    `void` | `setDepartmentCode(CWE objdepartmentCode)` Set the Department Code.
    `void` | `setDepartmentCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Department Code.
    `void` | `setDiagnosisCode_FT1(ISingleCollection<CWE> objDiagnosisCode_FT1List)` Set the DiagnosisCode_FT1 list.
    `void` | `setEnteredByCode(ISingleCollection<XCN> objEnteredByCodeList)` Set the EnteredByCode list.
    `void` | `setFeeSchedule(CWE objfeeSchedule)` Set the Fee Schedule.
    `void` | `setFeeSchedule(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Fee Schedule.
    `void` | `setFillerOrderNumber(EI objfillerOrderNumber)` Set the Filler Order Number.
    `void` | `setFillerOrderNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Filler Order Number.
    `void` | `setHealthPlanID(CWE objHealthPlanID)` Set the Health Plan ID.
    `void` | `setHealthPlanID(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Health Plan ID.
    `void` | `setInsuranceAmount(CP objinsuranceAmount)` Set the Insurance Amount.
    `void` | `setInsuranceAmount(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set the Insurance Amount.
    `void` | `setItemNumber(CWE objItemNumber)` Set the Item Number.
    `void` | `setItemNumber(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Item Number.
    `void` | `setMedicallyNecessaryDuplicateProcedureReason(CWE objmedicallyNecessaryDuplicateProcedureReason)` within the same date of service and has been determined to be medically necessary.
    `void` | `setMedicallyNecessaryDuplicateProcedureReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Medically Necessary Duplicate Procedure Reason.
    `void` | `setModelNumber(ST objModelNumber)` Set the Model Number.
    `void` | `setModelNumber(java.lang.String strModelNumber)` Set the Model Number.
    `void` | `setNDCCode(CWE objnDCCode)` Set the NDC Code.
    `void` | `setNDCCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the NDC Code.
    `void` | `setNDCQtyAndUOM(CQ objNDCQtyAndUOM)` Set the NDC Qty and UOM.
    `void` | `setNDCQtyAndUOM(java.lang.String strQuantity, CWE objUnits)` Set the NDC Qty and UOM.
    `void` | `setOrderedByCode(ISingleCollection<XCN> objOrderedByCodeList)` Set the OrderedByCode list.
    `void` | `setOrderingFacility(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Ordering Facility.
    `void` | `setOrderingFacility(XON objOrderingFacility)` Set the Ordering Facility.
    `void` | `setPatientType(CWE objpatientType)` Set the Patient Type.
    `void` | `setPatientType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Patient Type.
    `void` | `setPaymentReferenceID(CX objpaymentReferenceID)` Set the Payment Reference ID.
    `void` | `setPaymentReferenceID(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Payment Reference ID.
    `void` | `setPerformedByCode(ISingleCollection<XCN> objPerformedByCodeList)` Set the PerformedByCode list.
    `void` | `setPerformingFacility(ISingleCollection<XON> objPerformingFacilityList)` Set Performing Facility.
    `void` | `setPrescriptionNumber(ST objPrescriptionNumber)` Set the Prescription Number.
    `void` | `setPrescriptionNumber(java.lang.String strPatientValuablesLocation)` Set the Prescription Number.
    `void` | `setProcedureCode(CNE objprocedureCode)` Set the Procedure Code.
    `void` | `setProcedureCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Procedure Code.
    `void` | `setProcedureCodeModifier(ISingleCollection<CNE> objProcedureCodeModifierList)` Set the ProcedureCodeModifier list.
    `void` | `setReferralNumber(CX objdeptCostCenter)` Set the Referral Number.
    `void` | `setReferralNumber(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Referral Number.
    `void` | `setRevenueCode(CWE objRevenueCode)` Set the Revenue Code This field contains the Revenue Code for the charge.
    `void` | `setRevenueCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Revenue Code This field contains the Revenue Code for the charge.
    `void` | `setServiceProviderTaxonomyCode(CWE objServiceProviderTaxonomyCode)` Set the Service Provider Taxonomy Code This field contains the Taxonomy code for the Service Provider.
    `void` | `setServiceProviderTaxonomyCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Service Provider Taxonomy Code This field contains the Taxonomy code for the Service Provider.
    `void` | `setSetIDFT1(SI objsetID_FT1)` Set the Set ID FT1.
    `void` | `setSetIDFT1(java.lang.String strSetID_FT1)` Set the Set ID FT1.
    `void` | `setSpecialProcessingCode(CWE objSpecialProcessingCode)` Set the Special Processing Code.
    `void` | `setSpecialProcessingCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Special Processing Code.
    `void` | `setTransactionAmountExtended(CP objtransactionAmountExtended)` Set the Transaction Amount Extended.
    `void` | `setTransactionAmountExtended(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set the Transaction Amount Extended.
    `void` | `setTransactionAmountUnit(CP objtransactionAmountUnit)` Set the Transaction Amount Unit.
    `void` | `setTransactionAmountUnit(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set the Transaction Amount Unit.
    `void` | `setTransactionBatchID(ST objtransactionBatchID)` Set the Transaction Batch ID.
    `void` | `setTransactionBatchID(java.lang.String strTransactionBatchID)` Set the Transaction Batch ID.
    `void` | `setTransactionCode(CWE objtransactionCode)` Set the Transaction Code.
    `void` | `setTransactionCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Transaction Code.
    `void` | `setTransactionDate(DR objtransactionDate)` Set the field which contains the date/time or date/time range of the transaction.
    `void` | `setTransactionDate(DTM objRangeStartDateTime, DTM objRangeEndDateTime)` Set the field which contains the date/time or date/time range of the transaction.
    `void` | `setTransactionID(ST objtransactionID)` Set the Transaction ID.
    `void` | `setTransactionID(java.lang.String strTransactionID)` Set the Transaction ID.
    `void` | `setTransactionPostingDate(DTM objtransactionPostingDate)` Set the Transaction Posting Date.
    `void` | `setTransactionPostingDate(java.lang.String strTime)` Set the Transaction Posting Date.
    `void` | `setTransactionQuantity(NM objtransactionQuantity)` Set the Transaction Quantity.
    `void` | `setTransactionQuantity(java.lang.String strTransactionQuantity)` Set the Transaction Quantity.
    `void` | `setTransactionReference(ISingleCollection<SI> objTransactionReferenceList)` Set the TransactionReference list.
    `void` | `setTransactionReferenceKey(ISingleCollection<SI> objtempTransactionReferenceKeyList)` Set the Transaction Reference Key.
    `void` | `setTransactionType(CWE objtransactionType)` Set the Transaction Type.
    `void` | `setTransactionType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Transaction Type.
    `void` | `setUnitCost(CP objunitCost)` Set the Unit Cost.
    `void` | `setUnitCost(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set the Unit Cost.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FT1

          public FT1()

      Constructs the FT1 segment.

  - ### Method Detail

    - #### getAdvancedBeneficiaryNoticeCode

          public CWE getAdvancedBeneficiaryNoticeCode()

      Retrieves the Advanced Beneficiary Notice Code. This field indicates the status of the patient's or the patient's representative's consent for responsibility to pay for potentially uninsured services.
      Returns:
        CWE - advancedBeneficiaryNoticeCode

    - #### getAssignedPatientLocation

          public PL getAssignedPatientLocation()

      Retrieves the Assigned Patient Location. This field contains the current patient location.
      Returns:
        PL - assignedPatientLocation

    - #### getDepartmentCode

          public CWE getDepartmentCode()

      Retrieves the Department Code. This field contains the department code that controls the transaction code described above.
      Returns:
        CWE - departmentCode

    - #### getDiagnosisCode_FT1

          public ISingleCollection<CWE> getDiagnosisCode_FT1()

      Retrieves the Diagnosis Code FT1. This field contains the primary diagnosis code for billing purposes.
      Returns:
        ISingleCollection - diagnosisCode_FT1

    - #### getEnteredByCode

          public ISingleCollection<XCN> getEnteredByCode()

      Retrieves the Entered By Code. This field identify the composite number/name of the person who entered the insurance information.
      Returns:
        ISingleCollection - enteredByCode

    - #### getFeeSchedule

          public CWE getFeeSchedule()

      Retrieves the Fee Schedule. This field contains the code used to select the appropriate fee schedule to be used for this transaction posting.
      Returns:
        CWE - feeSchedule

    - #### getFillerOrderNumber

          public EI getFillerOrderNumber()

      Retrieves the Filler Order Number. This field is used when the billing system is requesting observational reporting justification for a charge. This is the number used by a filler to uniquely identify a result.
      Returns:
        EI - fillerOrderNumber

    - #### getInsuranceAmount

          public CP getInsuranceAmount()

      Retrieves the Insurance Amount. This field contains the amount to be posted to the insurance plan referenced above.
      Returns:
        CP - insuranceAmount

    - #### getHealthPlanID

          public CWE getHealthPlanID()

      Retrieves the Health Plan ID. This field contains the identifier of the primary insurance plan with which this transaction should be associated.
      Returns:
        CWE - HealthPlanID

    - #### getMedicallyNecessaryDuplicateProcedureReason

          public CWE getMedicallyNecessaryDuplicateProcedureReason()

      Retrieves the Medically Necessary Duplicate Procedure Reason. This field is used to document why the procedure found in FT1-25 - Procedure Code is a duplicate of one ordered/charged previously for the same patient within the same date of service and has been determined to be medically necessary.
      Returns:
        CWE - medicallyNecessaryDuplicateProcedureReason

    - #### getNDCCode

          public CWE getNDCCode()

      Retrieves the NDC Code. This field has been defined for NDC codes that are required by HIPAA for electronic claims for Pharmacy charges.
      Returns:
        CNE - nDCCode

    - #### getOrderedByCode

          public ISingleCollection<XCN> getOrderedByCode()

      Retrieves the Ordered By Code. This field contains the composite number/name of the person/group that ordered the test/ procedure/transaction, etc.
      Returns:
        ISingleCollection - orderedByCode

    - #### getPatientType

          public CWE getPatientType()

      Retrieves the Patient Type. This field contains the type code assigned to the patient for this episode of care (visit or stay).
      Returns:
        CWE - patientType

    - #### getPaymentReferenceID

          public CX getPaymentReferenceID()

      Retrieves the Payment Reference ID. This field contains payment reference number of the payment medium reported in FT1-7 - Transaction Code.
      Returns:
        CX - paymentReferenceID

    - #### getPerformedByCode

          public ISingleCollection<XCN> getPerformedByCode()

      Retrieves the Performed By Code. This field contains the composite number/name of the person/group that performed the test/procedure/transaction, etc.
      Returns:
        ISingleCollection - performedByCode

    - #### getProcedureCode

          public CNE getProcedureCode()

      Retrieves the Procedure Code. This field contains a unique identifier assigned to the procedure, if any, associated with the charge.
      Returns:
        CNE - procedureCode

    - #### getProcedureCodeModifier

          public ISingleCollection<CNE> getProcedureCodeModifier()

      Retrieves the Procedure Code Modifier. This field contains the procedure code modifier to the procedure code reported in FT1-25 - Procedure Code, when applicable.
      Returns:
        ISingleCollection - procedureCodeModifier

    - #### getSetID_FT1

          public SI getSetID_FT1()

      Retrieves the Set ID FT1. This field contains the number that identifies this transaction.
      Returns:
        SI - setID_FT1

    - #### getTransactionAmountExtended

          public CP getTransactionAmountExtended()

      Retrieves the Transaction Amount Extended. This field contains the amount of a transaction. It may be left blank if the transaction is automatically priced. Total price for multiple items.
      Returns:
        CP - transactionAmountExtended

    - #### getTransactionAmountUnit

          public CP getTransactionAmountUnit()

      Retrieves the Transaction Amount Unit. This field contains the unit price of a transaction. Price of a single item.
      Returns:
        CP - transactionAmountUnit

    - #### getTransactionBatchID

          public ST getTransactionBatchID()

      Retrieves the Transaction Batch ID. This field uniquely identifies the batch in which this transaction belongs.
      Returns:
        ST - transactionBatchID

    - #### getTransactionCode

          public CWE getTransactionCode()

      Retrieves the Transaction Code. This field contains the code assigned by the institution for the purpose of uniquely identifying the transaction based on the Transaction Type (FT1-6).
      Returns:
        CWE - transactionCode

    - #### getTransactionDate

          public DR getTransactionDate()

      Retrieves the Transaction Date. This field contains the date/time or date/time range of the transaction.
      Returns:
        DR - transactionDate

    - #### getTransactionID

          public ST getTransactionID()

      Retrieves the Transaction ID. This field contains a number assigned by the sending system for control purposes. The number can be returned by the receiving system to identify errors.
      Returns:
        ST - transactionID

    - #### getTransactionPostingDate

          public DTM getTransactionPostingDate()

      Retrieves the Transaction Posting Date. This field contains the date of the transaction that is send to the financial system for posting.
      Returns:
        DTM - transactionPostingDate

    - #### getTransactionQuantity

          public NM getTransactionQuantity()

      Retrieves the Transaction Quantity. This field contains the quantity of items associated with this transaction.
      Returns:
        NM - transactionQuantity

    - #### getTransactionReferenceKey

          public ISingleCollection<SI> getTransactionReferenceKey()

      Retrieves the Transaction Reference Key. This reference key linking the payment to the corresponding charge in an e-claim.
      Returns:
        ISingleCollection - transactionReferenceKey

    - #### getTransactionType

          public CWE getTransactionType()

      Retrieves the Transaction Type. This field contains the code that identify the type of transaction.
      Returns:
        CWE - transactionType

    - #### getUnitCost

          public CP getUnitCost()

      Retrieves the Unit Cost. This field contains the unit cost of transaction. The cost of a single item.
      Returns:
        CP - unitCost

    - #### getPerformingFacility

          public ISingleCollection<XON> getPerformingFacility()

      Retrieves the Performing Facility. This field contains the name of the Facility where the service is performed by the Provider Person/Group identified in FT1-20 – Performed By Code.
      Returns:
        ISingleCollection - PerformingFacility

    - #### getOrderingFacility

          public XON getOrderingFacility()

      Retrieves the Ordering Facility. This field contains the name of the Facility where the service is ordered by the Ordering Provider/Group identified in FT1-21 – Ordered By Code.
      Returns:
        XON - OrderingFacility

    - #### getItemNumber

          public CWE getItemNumber()

      Retrieves the Item Number. This field contains the Item Number for a product.
      Returns:
        CWE - Item Number

    - #### getModelNumber

          public ST getModelNumber()

      Retrieves the Model Number. This field contains the Model Number for a product. If valued, this field will override the value in the Service Catalog.
      Returns:
        String - ModelNumber

    - #### getSpecialProcessingCode

          public CWE getSpecialProcessingCode()

      Retrieves the Special Processing Code. This field contains a Special Processing Code that is available in reimbursement expressions. If valued, this field will override the value in the Service Catalog.
      Returns:
        String - SpecialProcessingCode

    - #### getClinicCode

          public CWE getClinicCode()

      Retrieves the Clinic Code. This field contains the state specific or payer specific type of service or place of service.
      Returns:
        String - ClinicCode

    - #### getReferralNumber

          public CX getReferralNumber()

      Retrieves the Referral Number. This field contains the Referral Number associated with the charge.
      Returns:
        CX - deptCostCenter

    - #### getAuthorizationNumber

          public CX getAuthorizationNumber()

      Retrieves the Authorization Number. This field contains an authorization number assigned to the referral charge.
      Returns:
        CX - deptCostCenter

    - #### getServiceProviderTaxonomyCode

          public CWE getServiceProviderTaxonomyCode()

      Retrieves the Service Provider Taxonomy Code This field contains the Taxonomy code for the Service Provider. It allows the provider to identify their specialty category for the particular service.
      Returns:
        CWE - ServiceProviderTaxonomyCode

    - #### getRevenueCode

          public CWE getRevenueCode()

      Retrieves the Revenue Code This field contains the Revenue Code for the charge.
      Returns:
        CWE - RevenueCode

    - #### getPrescriptionNumber

          public ST getPrescriptionNumber()

      Retrieves the Prescription Number. This field contains the prescription number as assigned by the pharmacy or treatment application.
      Returns:
        String - PrescriptionNumber

    - #### getNDCQtyAndUOM

          public CQ getNDCQtyAndUOM()

      Retrieves the NDC Qty and UOM. This field contains the Drug Code Quantity and the Units of Measurement for the corresponding NDC-Code in FT1-29 – NDC Code.
      Returns:
        CQ - NDCQtyAndUOM

    - #### addEnteredByCode

          public void addEnteredByCode(java.lang.String strIDNumber,
                              FN objFamilyName,
                              java.lang.String strGivenName,
                              java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                              java.lang.String strSuffix,
                              java.lang.String strPrefix,
                              CWE objSourceTable,
                              HD objAssigningAuthority,
                              java.lang.String strNameTypeCode,
                              java.lang.String strIdentifierCheckDigit,
                              java.lang.String strCheckDigitScheme,
                              java.lang.String strIdentifierTypeCode,
                              HD objAssigningFacility,
                              java.lang.String strNameRepresentationCode,
                              CWE objNameContext,
                              java.lang.String strNameAssemblyOrder,
                              java.lang.String strEffectiveDate,
                              java.lang.String strExpirationDate,
                              java.lang.String strProfessionalSuffix,
                              CWE objAssigningJurisdiction,
                              CWE objAssigningAgencyOrDepratment,
                              java.lang.String strSecurityCheck,
                              java.lang.String strSecurityCheckScheme)

      Set the Entered By Code. This field identify the composite number/name of the person who entered the insurance information.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addEnteredByCode

          public void addEnteredByCode(XCN objtempEnteredByCode)

      Parameters:
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies the agency or department that assigned the identifier

    - #### setEnteredByCode

          public void setEnteredByCode(ISingleCollection<XCN> objEnteredByCodeList)

      Set the EnteredByCode list.
      Parameters:
        `objEnteredByCodeList` - List of EnteredByCode

    - #### setAdvancedBeneficiaryNoticeCode

          public void setAdvancedBeneficiaryNoticeCode(java.lang.String strIdentifier,
                                              java.lang.String strText,
                                              java.lang.String strNameOfCodingSystem,
                                              java.lang.String strAlternateIdentifier,
                                              java.lang.String strAlternateText,
                                              java.lang.String strNameOfAlternateCodingSystem,
                                              java.lang.String strCodingSystemVersionID,
                                              java.lang.String strAlternateCodingSystemVersionId,
                                              java.lang.String strOriginalText,
                                              java.lang.String strSecondAlternateIdentifier,
                                              java.lang.String strSecondAlternateText,
                                              java.lang.String strNameofSecondAlternateCodingSystem,
                                              java.lang.String strSecondAlternateCodingSystemVersionID,
                                              java.lang.String strCodingSystemOID,
                                              java.lang.String strValueSetOID,
                                              java.lang.String strValueSetVersionID,
                                              java.lang.String strAlternateCodingSystemOID,
                                              java.lang.String strAlternateValueSetOID,
                                              java.lang.String strAlternateValueSetVersionID,
                                              java.lang.String strSecondAlternateCodingSystemOID,
                                              java.lang.String strSecondAlternateValueSetOID,
                                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Advanced Beneficiary Notice Code. This field indicates the status of the patient's or the patient's representative's consent for responsibility to pay for potentially uninsured services.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdvancedBeneficiaryNoticeCode

          public void setAdvancedBeneficiaryNoticeCode(CWE objadvancedBeneficiaryNoticeCode)

      Set the Advanced Beneficiary Notice Code. This field indicates the status of the patient's or the patient's representative's consent for responsibility to pay for potentially uninsured services.
      Parameters:
        `objadvancedBeneficiaryNoticeCode` -

    - #### setAssignedPatientLocation

          public void setAssignedPatientLocation(HD objPointOfCare,
                                        HD objRoom,
                                        HD objBed,
                                        HD objFacility,
                                        java.lang.String strLocationStatus,
                                        java.lang.String strPersonLocationType,
                                        java.lang.String strBuilding,
                                        java.lang.String strFloor,
                                        java.lang.String strLocationDescription,
                                        EI objComprehensiveLocationIdentifier,
                                        HD objAssigningAuthorityForLocation)

      Set the Assigned Patient Location. This field contains the current patient location.
      Parameters:
        `strPointOfCare` - Specifies the code for the point where patient care is administered.
        `strRoom` - Specifies the code for the patient's room.
        `strBed` - Specifies the code for the patient's bed.
        `objFacility` - Specifies to site interpretation but generally describes the highest level physical designation of an institution, medical center or enterprise.
        `strLocationStatus` - Specifies the code for the status or availability of the location.
        `strPersonLocationType` - Specifies the categorization of the person's location defined by facility, building, floor, point of care, room or bed.
        `strBuilding` - Specifies code for the building where the person is located.
        `strFloor` - Specifies the code for the floor where the person is located.
        `strLocationDescription` - Specifies describes the location in free text.
        `objComprehensiveLocationIdentifier` - Specifies represents the physical location as a whole without regard for the individual components.
        `objAssigningAuthorityForLocation` - Specifies the entity that creates the data for the individual physical location components.

    - #### setAssignedPatientLocation

          public void setAssignedPatientLocation(PL objassignedPatientLocation)

      Set the Assigned Patient Location. This field contains the current patient location.
      Parameters:
        `objassignedPatientLocation` -

    - #### setDepartmentCode

          public void setDepartmentCode(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Department Code. This field contains the department code that controls the transaction code described above.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDepartmentCode

          public void setDepartmentCode(CWE objdepartmentCode)

      Set the Department Code. This field contains the department code that controls the transaction code described above.
      Parameters:
        `objdepartmentCode` -

    - #### addDiagnosisCode_FT1

          public void addDiagnosisCode_FT1(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Diagnosis Code FT1. This field contains the primary diagnosis code for billing purposes.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addDiagnosisCode_FT1

          public void addDiagnosisCode_FT1(CWE objtempDiagnosisCode_FT1)

      Set the Diagnosis Code FT1. This field contains the primary diagnosis code for billing purposes.
      Parameters:
        `objtempDiagnosisCode_FT1` -

    - #### setDiagnosisCode_FT1

          public void setDiagnosisCode_FT1(ISingleCollection<CWE> objDiagnosisCode_FT1List)

      Set the DiagnosisCode_FT1 list.
      Parameters:
        `objDiagnosisCode_FT1List` - List of DiagnosisCode_FT1

    - #### setFeeSchedule

          public void setFeeSchedule(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Fee Schedule. This field contains the code used to select the appropriate fee schedule to be used for this transaction posting.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setFeeSchedule

          public void setFeeSchedule(CWE objfeeSchedule)

      Set the Fee Schedule. This field contains the code used to select the appropriate fee schedule to be used for this transaction posting.
      Parameters:
        `objfeeSchedule` - Specifies Fee Schedule

    - #### setFillerOrderNumber

          public void setFillerOrderNumber(java.lang.String strEntityIdentifier,
                                  java.lang.String strNamespaceId,
                                  java.lang.String strUniversalId,
                                  java.lang.String strUniversalIdType)

      Set the Filler Order Number. This field is used when the billing system is requesting observational reporting justification for a charge. This is the number used by a filler to uniquely identify a result.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setFillerOrderNumber

          public void setFillerOrderNumber(EI objfillerOrderNumber)

      Set the Filler Order Number. This field is used when the billing system is requesting observational reporting justification for a charge. This is the number used by a filler to uniquely identify a result.
      Parameters:
        `objfillerOrderNumber` -

    - #### setInsuranceAmount

          public void setInsuranceAmount(MO objPrice,
                                java.lang.String strPriceType,
                                java.lang.String strFromValue,
                                java.lang.String strToValue,
                                CWE objRangeUnits,
                                java.lang.String strRangeType)

      Set the Insurance Amount. This field contains the amount to be posted to the insurance plan referenced above.
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Spefies the "range" alongwith strToValue.
        `strToValue` - Spefies the "range" alongwith strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### setInsuranceAmount

          public void setInsuranceAmount(CP objinsuranceAmount)

      Set the Insurance Amount. This field contains the amount to be posted to the insurance plan referenced above.
      Parameters:
        `objinsuranceAmount` -

    - #### setHealthPlanID

          public void setHealthPlanID(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Health Plan ID. This field contains the identifier of the primary insurance plan with which this transaction should be associated.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setHealthPlanID

          public void setHealthPlanID(CWE objHealthPlanID)

      Set the Health Plan ID. This field contains the identifier of the primary insurance plan with which this transaction should be associated.
      Parameters:
        `objHealthPlanID` -

    - #### setMedicallyNecessaryDuplicateProcedureReason

          public void setMedicallyNecessaryDuplicateProcedureReason(java.lang.String strIdentifier,
                                                           java.lang.String strText,
                                                           java.lang.String strNameOfCodingSystem,
                                                           java.lang.String strAlternateIdentifier,
                                                           java.lang.String strAlternateText,
                                                           java.lang.String strNameOfAlternateCodingSystem,
                                                           java.lang.String strCodingSystemVersionID,
                                                           java.lang.String strAlternateCodingSystemVersionId,
                                                           java.lang.String strOriginalText,
                                                           java.lang.String strSecondAlternateIdentifier,
                                                           java.lang.String strSecondAlternateText,
                                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                                           java.lang.String strCodingSystemOID,
                                                           java.lang.String strValueSetOID,
                                                           java.lang.String strValueSetVersionID,
                                                           java.lang.String strAlternateCodingSystemOID,
                                                           java.lang.String strAlternateValueSetOID,
                                                           java.lang.String strAlternateValueSetVersionID,
                                                           java.lang.String strSecondAlternateCodingSystemOID,
                                                           java.lang.String strSecondAlternateValueSetOID,
                                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Medically Necessary Duplicate Procedure Reason. This field is used to document why the procedure found in FT1-25 - Procedure Code is a duplicate of one ordered/charged previously for the same patient within the same date of service and has been determined to be medically necessary.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setMedicallyNecessaryDuplicateProcedureReason

          public void setMedicallyNecessaryDuplicateProcedureReason(CWE objmedicallyNecessaryDuplicateProcedureReason)

      within the same date of service and has been determined to be medically necessary.
      Parameters:
        `objmedicallyNecessaryDuplicateProcedureReason` -

    - #### setNDCCode

          public void setNDCCode(java.lang.String strIdentifier,
                        java.lang.String strText,
                        java.lang.String strNameOfCodingSystem,
                        java.lang.String strAlternateIdentifier,
                        java.lang.String strAlternateText,
                        java.lang.String strNameOfAlternateCodingSystem,
                        java.lang.String strCodingSystemVersionID,
                        java.lang.String strAlternateCodingSystemVersionID,
                        java.lang.String strOriginalText,
                        java.lang.String strSecondAlternateIdentifier,
                        java.lang.String strSecondAlternateText,
                        java.lang.String strNameOfSecondAltenateCodingSystem,
                        java.lang.String strSecondAlternateCodingSystemVersionID,
                        java.lang.String strCodingSystemOID,
                        java.lang.String strValueSetOID,
                        java.lang.String strValueSetVersionID,
                        java.lang.String strAlternateCodingSystemOID,
                        java.lang.String strAlternateValueSetOID,
                        java.lang.String strAlternateValueSetVersionID,
                        java.lang.String strSecondAlternateCodingSystemOID,
                        java.lang.String strSecondAlternateValueSetOID,
                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the NDC Code. This field has been defined for NDC codes that are required by HIPAA for electronic claims for Pharmacy charges.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setNDCCode

          public void setNDCCode(CWE objnDCCode)

      Set the NDC Code. This field has been defined for NDC codes that are required by HIPAA for electronic claims for Pharmacy charges.
      Parameters:
        `objnDCCode` -

    - #### addOrderedByCode

          public void addOrderedByCode(java.lang.String strIDNumber,
                              FN objFamilyName,
                              java.lang.String strGivenName,
                              java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                              java.lang.String strSuffix,
                              java.lang.String strPrefix,
                              CWE objSourceTable,
                              HD objAssigningAuthority,
                              java.lang.String strNameTypeCode,
                              java.lang.String strIdentifierCheckDigit,
                              java.lang.String strCheckDigitScheme,
                              java.lang.String strIdentifierTypeCode,
                              HD objAssigningFacility,
                              java.lang.String strNameRepresentationCode,
                              CWE objNameContext,
                              java.lang.String strNameAssemblyOrder,
                              java.lang.String strEffectiveDate,
                              java.lang.String strExpirationDate,
                              java.lang.String strProfessionalSuffix,
                              CWE objAssigningJurisdiction,
                              CWE objAssigningAgencyOrDepratment,
                              java.lang.String strSecurityCheck,
                              java.lang.String strSecurityCheckScheme)

      Set the Ordered By Code. This field contains the composite number/name of the person/group that ordered the test/ procedure/transaction, etc.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addOrderedByCode

          public void addOrderedByCode(XCN objtempOrderedByCode)

      Set the Ordered By Code. This field contains the composite number/name of the person/group that ordered the test/ procedure/transaction, etc.
      Parameters:
        `objtempOrderedByCode` -

    - #### setOrderedByCode

          public void setOrderedByCode(ISingleCollection<XCN> objOrderedByCodeList)

      Set the OrderedByCode list.
      Parameters:
        `objOrderedByCodeList` - List of OrderedByCode

    - #### setPatientType

          public void setPatientType(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Patient Type. This field contains the type code assigned to the patient for this episode of care (visit or stay).
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPatientType

          public void setPatientType(CWE objpatientType)

      Set the Patient Type. This field contains the type code assigned to the patient for this episode of care (visit or stay).
      Parameters:
        `objpatientType` - Specifies Patient Type

    - #### setPaymentReferenceID

          public void setPaymentReferenceID(java.lang.String strIDNumber,
                                   java.lang.String strCheckDigit,
                                   java.lang.String strCheckDigitScheme,
                                   HD objAssigningAuthority,
                                   java.lang.String strIdentifierTypeCode,
                                   HD objAssigningFacility,
                                   java.lang.String strEffectiveDate,
                                   java.lang.String strExpirationDate,
                                   CWE objAssigningJurisdiction,
                                   CWE objAssigningAgencyOrDepartment,
                                   java.lang.String strSecurityCheck,
                                   java.lang.String strSecurityCheckScheme)

      Set the Payment Reference ID. This field contains payment reference number of the payment medium reported in FT1-7 - Transaction Code.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### setPaymentReferenceID

          public void setPaymentReferenceID(CX objpaymentReferenceID)

      Set the Payment Reference ID. This field contains payment reference number of the payment medium reported in FT1-7 - Transaction Code.
      Parameters:
        `objpaymentReferenceID` -

    - #### addPerformedByCode

          public void addPerformedByCode(java.lang.String strIDNumber,
                                FN objFamilyName,
                                java.lang.String strGivenName,
                                java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                java.lang.String strSuffix,
                                java.lang.String strPrefix,
                                CWE objSourceTable,
                                HD objAssigningAuthority,
                                java.lang.String strNameTypeCode,
                                java.lang.String strIdentifierCheckDigit,
                                java.lang.String strCheckDigitScheme,
                                java.lang.String strIdentifierTypeCode,
                                HD objAssigningFacility,
                                java.lang.String strNameRepresentationCode,
                                CWE objNameContext,
                                java.lang.String strNameAssemblyOrder,
                                java.lang.String strEffectiveDate,
                                java.lang.String strExpirationDate,
                                java.lang.String strProfessionalSuffix,
                                CWE objAssigningJurisdiction,
                                CWE objAssigningAgencyOrDepratment,
                                java.lang.String strSecurityCheck,
                                java.lang.String strSecurityCheckScheme)

      Set the Performed By Code. This field contains the composite number/name of the person/group that performed the test/procedure/transaction, etc.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addPerformedByCode

          public void addPerformedByCode(XCN objtempPerformedByCode)

      Set the Performed By Code. This field contains the composite number/name of the person/group that performed the test/procedure/transaction, etc.
      Parameters:
        `objtempPerformedByCode` -

    - #### setPerformedByCode

          public void setPerformedByCode(ISingleCollection<XCN> objPerformedByCodeList)

      Set the PerformedByCode list.
      Parameters:
        `objPerformedByCodeList` - List of PerformedByCode

    - #### setProcedureCode

          public void setProcedureCode(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionID,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameOfSecondAltenateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Procedure Code. This field contains a unique identifier assigned to the procedure, if any, associated with the charge.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setProcedureCode

          public void setProcedureCode(CNE objprocedureCode)

      Set the Procedure Code. This field contains a unique identifier assigned to the procedure, if any, associated with the charge.
      Parameters:
        `objprocedureCode` -

    - #### addProcedureCodeModifier

          public void addProcedureCodeModifier(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionID,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameOfSecondAltenateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Procedure Code Modifier. This field contains the procedure code modifier to the procedure code reported in FT1-25 - Procedure Code, when applicable.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### addProcedureCodeModifier

          public void addProcedureCodeModifier(CNE objtempProcedureCodeModifier)

      Set the Procedure Code Modifier. This field contains the procedure code modifier to the procedure code reported in FT1-25 - Procedure Code, when applicable.
      Parameters:
        `objtempProcedureCodeModifier` -

    - #### setProcedureCodeModifier

          public void setProcedureCodeModifier(ISingleCollection<CNE> objProcedureCodeModifierList)

      Set the ProcedureCodeModifier list.
      Parameters:
        `objProcedureCodeModifierList` - List of ProcedureCodeModifier

    - #### setSetIDFT1

          public void setSetIDFT1(java.lang.String strSetID_FT1)

      Set the Set ID FT1. This field contains the number that identifies this transaction.
      Parameters:
        `strSetID_FT1` - Specifies SetID - FT1

    - #### setSetIDFT1

          public void setSetIDFT1(SI objsetID_FT1)

      Set the Set ID FT1. This field contains the number that identifies this transaction.
      Parameters:
        `objsetID_FT1` - Specifies SetID - FT1

    - #### setTransactionAmountExtended

          public void setTransactionAmountExtended(MO objPrice,
                                          java.lang.String strPriceType,
                                          java.lang.String strFromValue,
                                          java.lang.String strToValue,
                                          CWE objRangeUnits,
                                          java.lang.String strRangeType)

      Set the Transaction Amount Extended. This field contains the amount of a transaction. It may be left blank if the transaction is automatically priced. Total price for multiple items.
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Spefies the "range" alongwith strToValue.
        `strToValue` - Spefies the "range" alongwith strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### setTransactionAmountExtended

          public void setTransactionAmountExtended(CP objtransactionAmountExtended)

      Set the Transaction Amount Extended. This field contains the amount of a transaction. It may be left blank if the transaction is automatically priced. Total price for multiple items.
      Parameters:
        `objtransactionAmountExtended` -

    - #### setTransactionAmountUnit

          public void setTransactionAmountUnit(MO objPrice,
                                      java.lang.String strPriceType,
                                      java.lang.String strFromValue,
                                      java.lang.String strToValue,
                                      CWE objRangeUnits,
                                      java.lang.String strRangeType)

      Set the Transaction Amount Unit. This field contains the unit price of a transaction. Price of a single item.
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Spefies the "range" alongwith strToValue.
        `strToValue` - Spefies the "range" alongwith strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### setTransactionAmountUnit

          public void setTransactionAmountUnit(CP objtransactionAmountUnit)

      Set the Transaction Amount Unit. This field contains the unit price of a transaction. Price of a single item.
      Parameters:
        `objtransactionAmountUnit` -

    - #### setTransactionBatchID

          public void setTransactionBatchID(java.lang.String strTransactionBatchID)

      Set the Transaction Batch ID. This field uniquely identifies the batch in which this transaction belongs.
      Parameters:
        `strTransactionBatchID` - Specifies Transaction Batch ID

    - #### setTransactionBatchID

          public void setTransactionBatchID(ST objtransactionBatchID)

      Set the Transaction Batch ID. This field uniquely identifies the batch in which this transaction belongs.
      Parameters:
        `objtransactionBatchID` - Specifies Transaction Batch ID

    - #### setTransactionCode

          public void setTransactionCode(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Transaction Code. This field contains the code assigned by the institution for the purpose of uniquely identifying the transaction based on the Transaction Type (FT1-6).
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTransactionCode

          public void setTransactionCode(CWE objtransactionCode)

      Set the Transaction Code. This field contains the code assigned by the institution for the purpose of uniquely identifying the transaction based on the Transaction Type (FT1-6).
      Parameters:
        `objtransactionCode` -

    - #### setTransactionDate

          public void setTransactionDate(DTM objRangeStartDateTime,
                                DTM objRangeEndDateTime)

      Set the field which contains the date/time or date/time range of the transaction.
      Parameters:
        `objRangeStartDateTime` - Specifies the earliest date/time (time stamp) in the specified range.
        `objRangeEndDateTime` - Specifies the latest date/time in the specified range.

    - #### setTransactionDate

          public void setTransactionDate(DR objtransactionDate)

      Set the field which contains the date/time or date/time range of the transaction.
      Parameters:
        `objtransactionDate` -

    - #### setTransactionID

          public void setTransactionID(java.lang.String strTransactionID)

      Set the Transaction ID. This field contains a number assigned by the sending system for control purposes. The number can be returned by the receiving system to identify errors.
      Parameters:
        `strTransactionID` - Specifies Transaction ID

    - #### setTransactionID

          public void setTransactionID(ST objtransactionID)

      Set the Transaction ID. This field contains a number assigned by the sending system for control purposes. The number can be returned by the receiving system to identify errors.
      Parameters:
        `objtransactionID` - Specifies Transaction ID

    - #### setTransactionPostingDate

          public void setTransactionPostingDate(java.lang.String strTime)

      Set the Transaction Posting Date. This field contains the date of the transaction that is send to the financial system for posting.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setTransactionPostingDate

          public void setTransactionPostingDate(DTM objtransactionPostingDate)

      Set the Transaction Posting Date. This field contains the date of the transaction that is send to the financial system for posting.
      Parameters:
        `objtransactionPostingDate` -

    - #### setTransactionQuantity

          public void setTransactionQuantity(java.lang.String strTransactionQuantity)

      Set the Transaction Quantity. This field contains the quantity of items associated with this transaction.
      Parameters:
        `strTransactionQuantity` - Specifies Transaction Quantity

    - #### setTransactionQuantity

          public void setTransactionQuantity(NM objtransactionQuantity)

      Set the Transaction Quantity. This field contains the quantity of items associated with this transaction.
      Parameters:
        `objtransactionQuantity` - Specifies Transaction Quantity

    - #### addTransactionReferenceKey

          public void addTransactionReferenceKey(java.lang.String strTransactionReferenceKey)

      Add the Transaction Reference Key. This reference key linking the payment to the corresponding charge in an e-claim.
      Parameters:
        `strTransactionReferenceKey` - Specifies Transaction Reference Key

    - #### addTransactionReferenceKey

          public void addTransactionReferenceKey(SI objtempTransactionReferenceKey)

      Add the Transaction Reference Key. This reference key linking the payment to the corresponding charge in an e-claim.
      Parameters:
        `objtempTransactionReferenceKey` - Specifies Transaction Reference Key

    - #### setTransactionReferenceKey

          public void setTransactionReferenceKey(ISingleCollection<SI> objtempTransactionReferenceKeyList)

      Set the Transaction Reference Key. This reference key linking the payment to the corresponding charge in an e-claim.
      Parameters:
        `objtempTransactionReferenceKeyList` - List of Transaction Reference Key.

    - #### setTransactionReference

          public void setTransactionReference(ISingleCollection<SI> objTransactionReferenceList)

      Set the TransactionReference list.
      Parameters:
        `objTransactionReferenceList` - List of TransactionReference

    - #### setTransactionType

          public void setTransactionType(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Transaction Type. This field contains the code that identify the type of transaction.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTransactionType

          public void setTransactionType(CWE objtransactionType)

      Set the Transaction Type. This field contains the code that identify the type of transaction.
      Parameters:
        `objtransactionType` - Specifies Transaction Type

    - #### setUnitCost

          public void setUnitCost(MO objPrice,
                         java.lang.String strPriceType,
                         java.lang.String strFromValue,
                         java.lang.String strToValue,
                         CWE objRangeUnits,
                         java.lang.String strRangeType)

      Set the Unit Cost. This field contains the unit cost of transaction. The cost of a single item.
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Spefies the "range" alongwith strToValue.
        `strToValue` - Spefies the "range" alongwith strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### setUnitCost

          public void setUnitCost(CP objunitCost)

      Set the Unit Cost. This field contains the unit cost of transaction. The cost of a single item.
      Parameters:
        `objunitCost` -

    - #### addPerformingFacility

          public void addPerformingFacility(java.lang.String strOrganizationName,
                                   CWE objOrganizationNameTypeCode,
                                   HD objAssigningAuthority,
                                   java.lang.String strIdentifierTypeCode,
                                   HD objAssigningFacility,
                                   java.lang.String strNameRepresentationCode,
                                   java.lang.String strOrganizationIdentifier)

      Set the Performing Facility. This field contains the name of the Facility where the service is performed by the Provider Person/Group identified in FT1-20 – Performed By Code.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### addPerformingFacility

          public void addPerformingFacility(XON objtempPerformingFacility)

      Sets the Performing Facility. This field contains the name of the Facility where the service is performed by the Provider Person/Group identified in FT1-20 – Performed By Code.
      Parameters:
        `objPerformingFacility` - object of Performing Facility.

    - #### setPerformingFacility

          public void setPerformingFacility(ISingleCollection<XON> objPerformingFacilityList)

      Set Performing Facility. This field contains the name of the Facility where the service is performed by the Provider Person/Group identified in FT1-20 – Performed By Code.
      Parameters:
        `objPerformingFacilityList` - List of Performing Facility.

    - #### setOrderingFacility

          public void setOrderingFacility(java.lang.String strOrganizationName,
                                 CWE objOrganizationNameTypeCode,
                                 HD objAssigningAuthority,
                                 java.lang.String strIdentifierTypeCode,
                                 HD objAssigningFacility,
                                 java.lang.String strNameRepresentationCode,
                                 java.lang.String strOrganizationIdentifier)

      Set the Ordering Facility. This field contains the name of the Facility where the service is ordered by the Ordering Provider/Group identified in FT1-21 – Ordered By Code.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### setOrderingFacility

          public void setOrderingFacility(XON objOrderingFacility)

      Set the Ordering Facility. This field contains the name of the Facility where the service is ordered by the Ordering Provider/Group identified in FT1-21 – Ordered By Code.
      Parameters:
        `objOrderingFacility` - Object of Ordering Facility.

    - #### setItemNumber

          public void setItemNumber(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Item Number. This field contains the Item Number for a product.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setItemNumber

          public void setItemNumber(CWE objItemNumber)

      Set the Item Number. This field contains the Item Number for a product.
      Parameters:
        `objItemNumber` - Specifies Transaction Type

    - #### setModelNumber

          public void setModelNumber(java.lang.String strModelNumber)

      Set the Model Number. This field contains the Model Number for a product. If valued, this field will override the value in the Service Catalog.
      Parameters:
        `strModelNumber` - Use as ModelNumber.

    - #### setModelNumber

          public void setModelNumber(ST objModelNumber)

      Set the Model Number. This field contains the Model Number for a product. If valued, this field will override the value in the Service Catalog.
      Parameters:
        `objModelNumber` - object of ModelNumber.

    - #### setSpecialProcessingCode

          public void setSpecialProcessingCode(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Special Processing Code. This field contains a Special Processing Code that is available in reimbursement expressions. If valued, this field will override the value in the Service Catalog.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSpecialProcessingCode

          public void setSpecialProcessingCode(CWE objSpecialProcessingCode)

      Set the Special Processing Code. This field contains a Special Processing Code that is available in reimbursement expressions. If valued, this field will override the value in the Service Catalog.
      Parameters:
        `objSpecialProcessingCode` - object of Special Processing Code.

    - #### setClinicCode

          public void setClinicCode(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Clinic Code. This field contains the state specific or payer specific type of service or place of service.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setClinicCode

          public void setClinicCode(CWE objClinicCode)

      Set the Clinic Code. This field contains the state specific or payer specific type of service or place of service.
      Parameters:
        `objClinicCode` - object of Clinic Code.

    - #### setReferralNumber

          public void setReferralNumber(java.lang.String strIDNumber,
                               java.lang.String strCheckDigit,
                               java.lang.String strCheckDigitScheme,
                               HD objAssigningAuthority,
                               java.lang.String strIdentifierTypeCode,
                               HD objAssigningFacility,
                               java.lang.String strEffectiveDate,
                               java.lang.String strExpirationDate,
                               CWE objAssigningJurisdiction,
                               CWE objAssigningAgencyOrDepartment,
                               java.lang.String strSecurityCheck,
                               java.lang.String strSecurityCheckScheme)

      Set the Referral Number. This field contains the Referral Number associated with the charge.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### setReferralNumber

          public void setReferralNumber(CX objdeptCostCenter)

      Set the Referral Number. This field contains the Referral Number associated with the charge.
      Parameters:
        `objdeptCostCenter` - Object of Referral Number.

    - #### setAuthorizationNumber

          public void setAuthorizationNumber(java.lang.String strIDNumber,
                                    java.lang.String strCheckDigit,
                                    java.lang.String strCheckDigitScheme,
                                    HD objAssigningAuthority,
                                    java.lang.String strIdentifierTypeCode,
                                    HD objAssigningFacility,
                                    java.lang.String strEffectiveDate,
                                    java.lang.String strExpirationDate,
                                    CWE objAssigningJurisdiction,
                                    CWE objAssigningAgencyOrDepartment,
                                    java.lang.String strSecurityCheck,
                                    java.lang.String strSecurityCheckScheme)

      Set the Authorization Number. This field contains an authorization number assigned to the referral charge.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### setAuthorizationNumber

          public void setAuthorizationNumber(CX objdeptCostCenter)

      Set the Authorization Number. This field contains an authorization number assigned to the referral charge.
      Parameters:
        `objdeptCostCenter` - Object of Authorization Number.

    - #### setServiceProviderTaxonomyCode

          public void setServiceProviderTaxonomyCode(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Service Provider Taxonomy Code This field contains the Taxonomy code for the Service Provider. It allows the provider to identify their specialty category for the particular service.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setServiceProviderTaxonomyCode

          public void setServiceProviderTaxonomyCode(CWE objServiceProviderTaxonomyCode)

      Set the Service Provider Taxonomy Code This field contains the Taxonomy code for the Service Provider. It allows the provider to identify their specialty category for the particular service.
      Parameters:
        `objServiceProviderTaxonomyCode` - Object of Service Provider Taxonomy Code.

    - #### setRevenueCode

          public void setRevenueCode(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Revenue Code This field contains the Revenue Code for the charge.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRevenueCode

          public void setRevenueCode(CWE objRevenueCode)

      Set the Revenue Code This field contains the Revenue Code for the charge.
      Parameters:
        `objRevenueCode` - Object of Revenue Code.

    - #### setPrescriptionNumber

          public void setPrescriptionNumber(java.lang.String strPatientValuablesLocation)

      Set the Prescription Number. This field contains the prescription number as assigned by the pharmacy or treatment application.
      Parameters:
        `strPatientValuablesLocation` - Use as PatientValuablesLocation.

    - #### setPrescriptionNumber

          public void setPrescriptionNumber(ST objPrescriptionNumber)

      Set the Prescription Number. This field contains the prescription number as assigned by the pharmacy or treatment application.
      Parameters:
        `objPrescriptionNumber` - object of PatientValuablesLocation.

    - #### setNDCQtyAndUOM

          public void setNDCQtyAndUOM(java.lang.String strQuantity,
                             CWE objUnits)

      Set the NDC Qty and UOM. This field contains the Drug Code Quantity and the Units of Measurement for the corresponding NDC-Code in FT1-29 – NDC Code.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setNDCQtyAndUOM

          public void setNDCQtyAndUOM(CQ objNDCQtyAndUOM)

      Set the NDC Qty and UOM. This field contains the Drug Code Quantity and the Units of Measurement for the corresponding NDC-Code in FT1-29 – NDC Code.
      Parameters:
        `objNDCQtyAndUOM` - Object of NDC Qty and UOM.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - If Segment Validation fails